Package org.eclipse.m2m.atl.emftvm.impl.resource

# Class ConstantPool.CreateConstantsSwitch

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch<Object>
org.eclipse.m2m.atl.emftvm.impl.resource.ConstantPool.CreateConstantsSwitch

Enclosing class:
  `ConstantPool`

public class ConstantPool.CreateConstantsSwitch extends EmftvmSwitch<Object>
Creates constant pool entries for EMFTVM elements.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`modelPackage`

## Constructor Summary

Constructors
Constructor
Description
`CreateConstantsSwitch()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`caseCodeBlock(CodeBlock object)`
Returns the result of interpreting the object as an instance of 'Code Block'.
`Object`
`caseFeature(Feature object)`
Returns the result of interpreting the object as an instance of 'Feature'.
`Object`
`caseField(Field object)`
Returns the result of interpreting the object as an instance of 'Field'.
`Object`
`caseFieldInstruction(FieldInstruction object)`
Returns the result of interpreting the object as an instance of 'Field Instruction'.
`Object`
`caseFindtype(Findtype object)`
Returns the result of interpreting the object as an instance of 'Findtype'.
`Object`
`caseInputRuleElement(InputRuleElement object)`
Returns the result of interpreting the object as an instance of 'Input Rule Element'.
`Object`
`caseInvokeOperationInstruction(InvokeOperationInstruction object)`
Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
`Object`
`caseMatch(Match object)`
Returns the result of interpreting the object as an instance of 'Match'.
`Object`
`caseModelDeclaration(ModelDeclaration object)`
Returns the result of interpreting the object as an instance of 'Model Declaration'.
`Object`
`caseModule(Module object)`
Returns the result of interpreting the object as an instance of 'Module'.
`Object`
`caseNamedElement(NamedElement object)`
Returns the result of interpreting the object as an instance of 'Named Element'.
`Object`
`caseNew(New object)`
Returns the result of interpreting the object as an instance of 'New'.
`Object`
`caseOperation(Operation object)`
Returns the result of interpreting the object as an instance of 'Operation'.
`Object`
`casePush(Push object)`
Returns the result of interpreting the object as an instance of 'Push'.
`Object`
`caseRule(Rule object)`
Returns the result of interpreting the object as an instance of 'Rule'.
`Object`
`caseRuleElement(RuleElement object)`
Returns the result of interpreting the object as an instance of 'Rule Element'.
`Object`
`caseTypedElement(TypedElement object)`
Returns the result of interpreting the object as an instance of 'Typed Element'.

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.EmftvmSwitch

`caseAdd, caseAllinst, caseAllinstIn, caseAnd, caseBranchInstruction, caseCodeBlockInstruction, caseDelete, caseDup, caseDupX1, caseEnditerate, caseExecEnv, caseFindtypeS, caseGet, caseGetcb, caseGetenv, caseGetenvtype, caseGetStatic, caseGetSuper, caseGetTrans, caseGoto, caseIf, caseIfn, caseIfte, caseImplies, caseInsert, caseInstruction, caseInvoke, caseInvokeAllCbs, caseInvokeCb, caseInvokeCbS, caseInvokeInstruction, caseInvokeStatic, caseInvokeSuper, caseIsnull, caseIterate, caseLineNumber, caseLoad, caseLocalVariable, caseLocalVariableInstruction, caseMatchS, caseMetamodel, caseModel, caseNewS, caseNot, caseOr, caseOutputRuleElement, caseParameter, casePop, casePushf, casePusht, caseRemove, caseReturn, caseSet, caseSetStatic, caseStore, caseSwap, caseSwapX1, caseXor, defaultCase, doSwitch, doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateConstantsSwitch

public CreateConstantsSwitch()

## Method Details

### caseNamedElement

public Object caseNamedElement(NamedElement object)
Returns the result of interpreting the object as an instance of 'Named Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNamedElement` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Named Element'.
See Also:
  - `doSwitch(EObject)`

### caseTypedElement

public Object caseTypedElement(TypedElement object)
Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseTypedElement` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Typed Element'.
See Also:
  - `doSwitch(EObject)`

### caseFeature

public Object caseFeature(Feature object)
Returns the result of interpreting the object as an instance of 'Feature'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFeature` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Feature'.
See Also:
  - `doSwitch(EObject)`

### caseCodeBlock

public Object caseCodeBlock(CodeBlock object)
Returns the result of interpreting the object as an instance of 'Code Block'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseCodeBlock` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Code Block'.
See Also:
  - `doSwitch(EObject)`

### caseModule

public Object caseModule(Module object)
Returns the result of interpreting the object as an instance of 'Module'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseModule` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Module'.
See Also:
  - `doSwitch(EObject)`

### caseOperation

public Object caseOperation(Operation object)
Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseOperation` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Operation'.
See Also:
  - `doSwitch(EObject)`

### caseRule

public Object caseRule(Rule object)
Returns the result of interpreting the object as an instance of 'Rule'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseRule` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rule'.
See Also:
  - `doSwitch(EObject)`

### caseRuleElement

public Object caseRuleElement(RuleElement object)
Returns the result of interpreting the object as an instance of 'Rule Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseRuleElement` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Rule Element'.
See Also:
  - `doSwitch(EObject)`

### caseInputRuleElement

public Object caseInputRuleElement(InputRuleElement object)
Returns the result of interpreting the object as an instance of 'Input Rule Element'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInputRuleElement` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Input Rule Element'.
See Also:
  - `doSwitch(EObject)`

### caseFieldInstruction

public Object caseFieldInstruction(FieldInstruction object)
Returns the result of interpreting the object as an instance of 'Field Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFieldInstruction` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Field Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseFindtype

public Object caseFindtype(Findtype object)
Returns the result of interpreting the object as an instance of 'Findtype'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFindtype` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Findtype'.
See Also:
  - `doSwitch(EObject)`

### caseInvokeOperationInstruction

public Object caseInvokeOperationInstruction(InvokeOperationInstruction object)
Returns the result of interpreting the object as an instance of 'Invoke Operation Instruction'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseInvokeOperationInstruction` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Invoke Operation Instruction'.
See Also:
  - `doSwitch(EObject)`

### caseNew

public Object caseNew(New object)
Returns the result of interpreting the object as an instance of 'New'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseNew` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'New'.
See Also:
  - `doSwitch(EObject)`

### casePush

public Object casePush(Push object)
Returns the result of interpreting the object as an instance of 'Push'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `casePush` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Push'.
See Also:
  - `doSwitch(EObject)`

### caseMatch

public Object caseMatch(Match object)
Returns the result of interpreting the object as an instance of 'Match'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseMatch` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Match'.
See Also:
  - `doSwitch(EObject)`

### caseModelDeclaration

public Object caseModelDeclaration(ModelDeclaration object)
Returns the result of interpreting the object as an instance of 'Model Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseModelDeclaration` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Model Declaration'.
See Also:
  - `doSwitch(EObject)`

### caseField

public Object caseField(Field object)
Returns the result of interpreting the object as an instance of 'Field'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseField` in class `EmftvmSwitch<Object>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Field'.
See Also:
  - `doSwitch(EObject)`